---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libaddcaps002.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x3394, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FAA8, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x519E8, symBinAddr: 0xE128, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51DD0, symBinAddr: 0xE510, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52D70, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52D78, symBinAddr: 0xF4B8, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F720, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBB4, offset: 0xBB4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F724, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F728, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC04, offset: 0xC04, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F878, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0xC7D, offset: 0xC7D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F930, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xC9B, offset: 0xC9B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F934, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCB4, offset: 0xCB4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F938, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0xCCD, offset: 0xCCD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F93C, symBinAddr: 0xC17C, symSize: 0x0 }
  - { offsetInCU: 0xCE6, offset: 0xCE6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F940, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x92AC, offset: 0x92AC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F948, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x9335, offset: 0x9335, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4F958, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x934E, offset: 0x934E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F960, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9367, offset: 0x9367, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F968, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9380, offset: 0x9380, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F970, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9399, offset: 0x9399, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F978, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F980, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9499, offset: 0x9499, size: 0x8, addend: 0x0, symName: __ZL8initCaps, symObjAddr: 0x4F9D0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x94B2, offset: 0x94B2, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4F9E0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x2358, symSize: 0xA0 }
  - { offsetInCU: 0x9599, offset: 0x9599, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x2330, symSize: 0x28 }
  - { offsetInCU: 0x95FC, offset: 0x95FC, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x22B0, symSize: 0x80 }
  - { offsetInCU: 0x9890, offset: 0x9890, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x23F8, symSize: 0x34 }
  - { offsetInCU: 0x98EA, offset: 0x98EA, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x242C, symSize: 0x20C }
  - { offsetInCU: 0x9AA3, offset: 0x9AA3, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x2638, symSize: 0x28 }
  - { offsetInCU: 0x9B6C, offset: 0x9B6C, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x2660, symSize: 0xB0 }
  - { offsetInCU: 0x9C63, offset: 0x9C63, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x2710, symSize: 0xD8 }
  - { offsetInCU: 0x9DB4, offset: 0x9DB4, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x27E8, symSize: 0x24 }
  - { offsetInCU: 0x9E77, offset: 0x9E77, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x280C, symSize: 0x168 }
  - { offsetInCU: 0xA053, offset: 0xA053, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x2974, symSize: 0x104 }
  - { offsetInCU: 0xA304, offset: 0xA304, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x2A78, symSize: 0x3F8 }
  - { offsetInCU: 0xA528, offset: 0xA528, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x2E70, symSize: 0x154 }
  - { offsetInCU: 0xA70C, offset: 0xA70C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x2FC4, symSize: 0xAC }
  - { offsetInCU: 0xA7E1, offset: 0xA7E1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x3070, symSize: 0x14 }
  - { offsetInCU: 0xA81A, offset: 0xA81A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x3084, symSize: 0x14 }
  - { offsetInCU: 0xA853, offset: 0xA853, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3098, symSize: 0x14 }
  - { offsetInCU: 0xA9D0, offset: 0xA9D0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x30AC, symSize: 0x1A8 }
  - { offsetInCU: 0xACDA, offset: 0xACDA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3254, symSize: 0x140 }
  - { offsetInCU: 0xAE7B, offset: 0xAE7B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x3604, symSize: 0x1C0 }
  - { offsetInCU: 0xB158, offset: 0xB158, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x37C4, symSize: 0x9C }
  - { offsetInCU: 0xB215, offset: 0xB215, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x3860, symSize: 0x690 }
  - { offsetInCU: 0xBDA7, offset: 0xBDA7, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9E90, symBinAddr: 0x57BC, symSize: 0x30 }
  - { offsetInCU: 0xBE33, offset: 0xBE33, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x3EF0, symSize: 0x74 }
  - { offsetInCU: 0xBEE3, offset: 0xBEE3, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x3F64, symSize: 0xB0 }
  - { offsetInCU: 0xC00E, offset: 0xC00E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x4014, symSize: 0x3C }
  - { offsetInCU: 0xC104, offset: 0xC104, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x4050, symSize: 0x29C }
  - { offsetInCU: 0xC447, offset: 0xC447, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x42EC, symSize: 0xD0 }
  - { offsetInCU: 0xC575, offset: 0xC575, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x43BC, symSize: 0xC }
  - { offsetInCU: 0xC637, offset: 0xC637, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x43C8, symSize: 0x22C }
  - { offsetInCU: 0xC8F2, offset: 0xC8F2, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x45F4, symSize: 0x4 }
  - { offsetInCU: 0xC936, offset: 0xC936, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x45F4, symSize: 0x4 }
  - { offsetInCU: 0xC94F, offset: 0xC94F, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x45F8, symSize: 0x530 }
  - { offsetInCU: 0xD087, offset: 0xD087, size: 0x8, addend: 0x0, symName: __ZL20printRawCapabilitiesPK17jvmtiCapabilities, symObjAddr: 0xA218, symBinAddr: 0x5B44, symSize: 0x2A4 }
  - { offsetInCU: 0xD416, offset: 0xD416, size: 0x8, addend: 0x0, symName: __ZL22printKnownCapabilitiesPK17jvmtiCapabilities, symObjAddr: 0xA4BC, symBinAddr: 0x5DE8, symSize: 0x3AC }
  - { offsetInCU: 0xD6BF, offset: 0xD6BF, size: 0x8, addend: 0x0, symName: __ZL17checkCapabilitiesP9_jvmtiEnvP17jvmtiCapabilitiesPKc, symObjAddr: 0x9254, symBinAddr: 0x4B80, symSize: 0x9CC }
  - { offsetInCU: 0xDB33, offset: 0xDB33, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x91FC, symBinAddr: 0x4B28, symSize: 0x4 }
  - { offsetInCU: 0xDB77, offset: 0xDB77, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x91FC, symBinAddr: 0x4B28, symSize: 0x4 }
  - { offsetInCU: 0xDB90, offset: 0xDB90, size: 0x8, addend: 0x0, symName: _callbackVMInit, symObjAddr: 0x9200, symBinAddr: 0x4B2C, symSize: 0x54 }
  - { offsetInCU: 0xDC4A, offset: 0xDC4A, size: 0x8, addend: 0x0, symName: _callbackVMDeath, symObjAddr: 0x9C20, symBinAddr: 0x554C, symSize: 0x1D0 }
  - { offsetInCU: 0xDE75, offset: 0xDE75, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9DF0, symBinAddr: 0x571C, symSize: 0xA0 }
  - { offsetInCU: 0xDF36, offset: 0xDF36, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9EC0, symBinAddr: 0x57EC, symSize: 0x358 }
...
